compatibility Rated 4 out of 5 stars

unfortunately, it's not compatible with the latest version of firefox which is 17.0.1

This review is for a previous version of the add-on (1.0.7).